
Foreman - Bug #27549

Do not show encrypted setting in their plaintext form in webui

08/08/2019 01:42 PM - Adam Ruzicka

Status: Closed   

Priority: Normal   

Assignee: Adam Ruzicka   

Category: Settings   

Target version:    

Difficulty:  Fixed in Releases: 1.24.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6967

  

Description

Associated revisions

Revision dad774bb - 08/27/2019 10:59 AM - Adam Ruzicka

Fixes #27549 - Do not show encrypted setting in webui in clear

This reuses the HiddenValue module and shows only asterisks instead of

the full value for encrypted settings.

History

#1 - 08/08/2019 01:52 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6967 added

#2 - 08/27/2019 10:59 AM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#3 - 08/27/2019 11:01 AM - Adam Ruzicka

- Status changed from Ready For Testing to Closed

Applied in changeset dad774bbf2fdae97c5881e883f992654dc58d904.
